<?php
/**
 * @package Voyage
 * @subpackage voyage
 * @since Voyage 1.0
 */
?><!DOCTYPE html>
<!--[if lt IE 7 ]> <html class="no-js ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>    <html class="no-js ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>    <html class="no-js ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">
	<header id="masthead" class="site-header clearfix">
<?php
	global $voyage_options, $voyage_post_column;
	
	$voyage_post_column = 0;
	voyage_screen_reader();
	voyage_top_menu(); ?>
		
	<div class="<?php echo voyage_container_class(); ?>">		
		<div id="branding" class="<?php echo voyage_grid_full(); ?> ">		
			<hgroup>
			<h3 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h3>
			<h3 id="site-description"><?php bloginfo( 'description' ); ?></h3>
			</hgroup>						  
			<div class="clear"></div>
			<nav id="section-menu" class="navbar">	
				<div class="navbar-inner">
					<?php $header_image = get_header_image();
						  if ( ! empty( $header_image ) ) : ?>
            <a class="brand" href="<?php echo home_url('/'); ?>"><img src="<?php header_image(); ?>" width="<?php if(function_exists('get_custom_header')) { echo get_custom_header() -> width;} else { echo HEADER_IMAGE_WIDTH;} ?>" height="<?php if(function_exists('get_custom_header')) { echo get_custom_header() -> height;} else { echo HEADER_IMAGE_HEIGHT;} ?>" alt="<?php bloginfo('name'); ?>" /></a>
					<?php endif; ?>
<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
<span class="icon-bar"></span>
<span class="icon-bar"></span>
<span class="icon-bar"></span></a>
					<div class="nav-collapse">
					
    				<form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-search pull-right" >
    			<input type="text" class="search-query" name="s" id="s1" placeholder="<?php esc_attr_e( 'Search', 'voyage' ); ?>">
				<input type="submit" class="submit" name="submit" id="searchsubmit" value="<?php esc_attr_e( 'Search', 'voyage' ); ?>" />
    				</form>	
			<?php if (has_nav_menu('section-menu', 'voyage')) {
					wp_nav_menu( array( 'container_class' => '', 
									'theme_location' => 'section-menu',
									'menu_class'     => 'nav',
									'walker'         => new voyage_walker_nav_menu,
					 		) );					
					} ?>
					</div>
				</div>
			</nav>		
		</div><!-- #branding -->	
	</div><!-- container -->		
	</header>

	<div id="main">
