<?php
/**
 * Voyage Theme functions: Layout
 *
 * @package voyage
 * @subpackage voyage
 * @since Voyage 1.1
 */
if ( ! function_exists( 'voyage_grid_class' ) ) :
/** return grid class */
function voyage_grid_class() {
    $options = voyage_get_options();
	$class = "grid_" . $options['column_content'] . ' ' ;
	if ( $options['blog_layout'] == "2" && ( $options['column_sidebar1'] > 0 || $options['column_sidebar2'] >0  )) {
		if (($options['column_content'] + $options['column_sidebar1'] + $options['column_sidebar2']) > $options['grid_column'] ) {
			if ($options['column_sidebar1'] > $options['column_sidebar2'])
				$push_col = $options['column_sidebar1']; 
			else
				$push_col = $options['column_sidebar2'];
		}
		else {
			$push_col = $options['column_sidebar1'] + $options['column_sidebar2']; 			
		}
		$class = $class . "push_" . $push_col . ' ';
	}
	elseif ( $options['blog_layout'] == "3" && $options['column_sidebar1'] > 0 ) {
		$push_col = $options['column_sidebar1']; 
		$class = $class . "push_" . $push_col . ' ';		
	}
	return $class;
}
endif;

if ( ! function_exists( 'voyage_container_class' ) ) :
/** return container class */
function voyage_container_class() {
    global $voyage_options;
	
	return "container_" . $voyage_options['grid_column'];
}
endif;

if ( ! function_exists( 'voyage_grid_full' ) ) :
/** return grid_16 or grid_12 */
function voyage_grid_full() {
    global $voyage_options;
	
	return "grid_" . $voyage_options['grid_column'];
}
endif;

if ( ! function_exists( 'voyage_grid_half' ) ) :
/** return grid_8 or grid_6 */
function voyage_grid_half() {
    global $voyage_options;
	
	$col = $voyage_options['grid_column'] / 2;
	return "grid_" . $col;
}
endif;

if ( ! function_exists( 'voyage_grid_quarter' ) ) :
/** return grid_4 or grid_3 */
function voyage_grid_quarter() {
    global $voyage_options;
	
	$col = $voyage_options['grid_column'] / 4;
	return "grid_" . $col;
}
endif;

if ( ! function_exists( 'voyage_grid_columns' ) ) :
function voyage_grid_columns($col) {
	return 'grid_' . $col;
}
endif; 

if ( ! function_exists( 'voyage_carousel_class' ) ) :	
/************************************************
Return Carousel effect class
************************************************/ 
function voyage_carousel_class() {
	global $voyage_options;
	
	if ($voyage_options['fp_effect'] == 2)
		$class = 'slide';
	elseif ($voyage_options['fp_effect'] == 3)
		$class = 'slide fading';
	else
		$class = '';
	return $class;
}
endif;

?>
