<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;
/**
 * Social Sharing - To be added in 1.0.4
 *
 * @package Voyage
 * @subpackage Voyage
 * @since Voyage 1.0.4
 */
?>
<?php 	
// return Social Links array
function voyage_social_links() {
	$social_links = array(
		'facebook' => array(
			'name'  => 'url_facebook',
			'label' => __( 'Facebook', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/facebook.png',
		),
		'linkedin' => array(
			'name'  => 'url_linkedin',
			'label' => __( 'Linkedin', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/linkedin.png',
		),		
		'twitter' => array(
			'name'  => 'url_twitter',
			'label' => __( 'Twitter', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/twitter.png',
		),
		'gplus' => array(
			'name'  => 'url_gplus',
			'label' => __( 'Google+', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/gplus_icon.png',
		),
		'rss' => array(
			'name'  => 'url_rss',
			'label' => __( 'RSS Feed', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/rss.png',
		),

	);
	return apply_filters( 'voyage_social_links', $social_links );
}
// return Social Services array
function voyage_social_services() {
	$social = array(
		'facebook' => array(
			'name'  => 'facebook',
			'label' => __( 'Facebook', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/facebook.png',
			'sa_func' => 'voyage_facebook_sa',
			'sb_func' => 'voyage_facebook_sb',			
			'script_func' => '',	
		),
		'linkedin' => array(
			'name'  => 'linkedin',
			'label' => __( 'Linkedin', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/linkedin.png',
			'sa_func' => 'voyage_linkedin_sa',
			'sb_func' => 'voyage_linkedin_sb',	
			'script_func' => '',			
		),		
		'twitter' => array(
			'name'  => 'twitter',
			'label' => __( 'Twitter', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/twitter.png',
			'sa_func' => 'voyage_twitter_sa',
			'sb_func' => 'voyage_twitter_sb',
			'script_func' => '',			
		),
		'gplus' => array(
			'name'  => 'gplus',
			'label' => __( 'Google', 'voyage' ),
			'image' => get_template_directory_uri() . '/images/social/gplus.png',
			'sa_func' => 'voyage_gplus_sa',
			'sb_func' => 'voyage_gplus_sb',	
			'script_func' => 'voyage_gplus_script',			
		),

	);
	return apply_filters( 'voyage_social_services', $social );
}

function voyage_social_connection() { 
	global $voyage_options;
	$social_links = voyage_social_links();
	$flag = 0;
	foreach ($social_links as $link ) {
		if (!empty( $voyage_options[$link['name']]) ) {
			$flag = 1;
		}
	}
	if ($flag) {
		echo '<div class="social-links"><ul>';
		if (!empty($voyage_options['sociallink_text'])) {
			printf ('<li class="social-link-text hidden-phone">%s</li>', $voyage_options['sociallink_text']);			
		}
		foreach ($social_links as $link ) {
			if (!empty( $voyage_options[$link['name']]) ) {
				echo '<li>';
				echo '<a href="' . esc_url( $voyage_options[$link['name']] );
				echo '" target="_blank"><img src="' . esc_attr($link['image']);
				echo '" alt="' . esc_attr($link['label']);
				echo '" /></a></li>';
			}			
		}
		echo '</ul></div>';
	}
}

function voyage_social_sharing( $position_class = null ) {
	$options = voyage_get_options();
	echo '<div class="voyage-sharing ' . $position_class . '">';
	echo "<ul>";
	
	$services = voyage_social_services();
	// Services inside button
	$list = '';
	foreach ($services as $service) { 	
		if ($options[$service['name']] == 3) {
			$service_function = $service['sb_func'];
			$list .= '<li>'. $service_function() . '</li>';
		}
	}		
	
	if ($list != "") {
		echo '<li class="dropdown">';
		echo '<a href="#" class="dropdown-toggle btn btn-mini btn-info" data-toggle="dropdown">';
		echo $options['sharelabel'] . '<b class="caret"></b></a>';
		echo '<ul class="dropdown-menu">';
		echo $list;	
		echo '</ul></li>';
	}
	
	// Standalone services

	foreach ($services as $service) { 	
		if ($options[$service['name']] == 2) {
			$service_function = $service['sa_func'];
			echo '<li>'. $service_function() . '</li>';
		}
	}
	
	echo '</ul>';
	echo '</div>';
}

function voyage_social_post_top() {
	global $voyage_options;
	if ( $voyage_options['sharesocial'] == 1 && $voyage_options['share_post'] == 1) {
		if (is_single() && $voyage_options['share_top'] == 1)
			voyage_social_sharing("sharing-single-top");		
		elseif (!is_single() && $voyage_options['share_sum_top'] == 1)
			voyage_social_sharing("sharing-summary-top");			
	}	
}

function voyage_social_post_bottom() {
	global $voyage_options;
	if ( $voyage_options['sharesocial'] == 1 && $voyage_options['share_post'] == 1) {
		if (is_single() && $voyage_options['share_bottom'] == 1) 
			voyage_social_sharing("sharing-single-bottom dropup");		
		elseif (!is_single() && $voyage_options['share_sum_bottom'] == 1)
			voyage_social_sharing("sharing-summary-bottom dropup");			
	}	
}

function voyage_social_footer() {
	$options = voyage_get_options();
	$services = voyage_social_services();	
	foreach ($services as $service) { 	
		if ($options[$service['name']] > 1) {
			$service_function = $service['script_func'];
			if ($service_function != '' )
				echo $service_function();
		}
	}	
}

if ( ! function_exists( 'voyage_facebook_sa' ) ) :
/* Facebook standalone code */
function voyage_facebook_sa() {
	$list = '<iframe src="//www.facebook.com/plugins/like.php?href=' . get_permalink();
	$list .= '&amp;send=false&amp;layout=button_count&amp;width=80&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=21"></iframe>';
	return $list;
}
endif;

if ( ! function_exists( 'voyage_facebook_sb' ) ) :
/** Facebook share button code */
function voyage_facebook_sb() {
	return voyage_facebook_sa();
}
endif;

if ( ! function_exists( 'voyage_twitter_sa' ) ) :
/* Twitter standalone code */
function voyage_twitter_sa() {
	$list = '<iframe src="http://platform.twitter.com/widgets/tweet_button.html?url=' . get_permalink();
	$list .= '"></iframe>';
	return $list;
}
endif;

if ( ! function_exists( 'voyage_twitter_sb' ) ) :

function voyage_twitter_sb() {
	return voyage_twitter_sa();
}
endif;

if ( ! function_exists( 'voyage_gplus_sa' ) ) :
/* GPlus standalone code */
function voyage_gplus_sa() {
	return '<div class="g-plusone" data-size="medium"></div>';
}
endif;

if ( ! function_exists( 'voyage_gplus_sb' ) ) :
function voyage_gplus_sb() {
	return voyage_gplus_sa();
}
endif;

if ( ! function_exists( 'voyage_gplus_script' ) ) :
/** Facebook share button code */
function voyage_gplus_script() {
	$list = '<script type="text/javascript">' . "\n";
	$list .= '(function() {' . "\n";
	$list .= 'var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;' . "\n";
	$list .= 'po.src = "https://apis.google.com/js/plusone.js";' . "\n";
	$list .= 'var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);' . "\n";
	$list .= '})();' . "\n";
	$list .= '</script>' . "\n";
	return $list;
}
endif;

if ( ! function_exists( 'voyage_linkedin_sa' ) ) :
/* Facebook standalone code */
function voyage_linkedin_sa() {
	$list = '<script src="//platform.linkedin.com/in.js" type="text/javascript"></script>';
	$list .= '<script type="IN/Share" data-url="' . get_permalink();
	$list .= '" data-counter="right"></script>';
	return $list;
}
endif;

if ( ! function_exists( 'voyage_linkedin_sb' ) ) :
/** Facebook share button code */
function voyage_linkedin_sb() {
	return voyage_linkedin_sa();
}
endif;
?>