<?php
/**
 * Template Name: Featured Blog
 * Description: A Page Template that display Sticky Posts with Sidebars.
 *
 * @package Voyage
 * @subpackage Voyage
 * @since Voyage 1.1
 */
get_header(); 
?>
<?php global $more, $voyage_options;

    if ( get_query_var('paged') )
	    $paged = get_query_var('paged');
	elseif ( get_query_var('page') ) 
	    $paged = get_query_var('page');
	else 
		$paged = 1;
?>  
<div class="<?php echo voyage_container_class(); ?>">
	<div id="content" class="<?php echo voyage_grid_class(); ?>" role="main">
<?php 

$sticky = get_option( 'sticky_posts' );	
if (!empty($sticky) && $paged == 1 ) {
	$featured_args = array(
						'post_type' => 'post',
						'post_status' => 'publish',
						'post__in' => $sticky,
						'posts_per_page' => -1, //all sticky posts
						'no_found_rows' => 1
						);
	if ($voyage_options['fb_category'] > 0) {
		$featured_args['category__in'] = $voyage_options['fb_category'];
	}
	$featured = new WP_Query( $featured_args );	
	if ( $featured->have_posts() ) {  //Got Sticky Posts ?>
		<div id="featured-blog" class="featured-blog carousel slide">
			<div class="carousel-inner">
<?php
			$active = "active ";
			$count = 0;	
			while ( $featured->have_posts() ) : 
				$featured->the_post(); ?>
 				<div class="item <?php echo $active; $active = ''; ?>">
					<?php get_template_part( 'content', 'featured-blog' ); ?>
				</div>
<?php			$count++; 
			endwhile;	?>
			</div>
<?php		if ($count > 1) { ?>
				<a id="featured-prev" class="carousel-control left">&lsaquo;</a>
				<a id="featured-next" class="carousel-control right">&rsaquo;</a>
<?php		} ?>	
		</div>
<?php 	
	}
} //Sticky Post Loop
	$blog_args = array(
						'post_type' => 'post',
						'post_status' => 'publish',
						'post__not_in' => $sticky,
						'paged'	=> $paged,				
						);
	if ($voyage_options['fb_category'] > 0) {
		$blog_args['category__in'] = $voyage_options['fb_category'];
	}
	$blog = new WP_Query( $blog_args );	
	if ( $blog->have_posts() ) :
		voyage_content_nav_link( $blog->max_num_pages, 'nav-above' );
		while ( $blog->have_posts() ) : $blog->the_post();
			get_template_part( 'content', get_post_format() );
		endwhile;				
		voyage_content_nav_link( $blog->max_num_pages, 'nav-below' );
	endif;	
?>
	</div>
<?php
	get_sidebar();
?>	
</div>
<?php
	get_footer();
?>