<?php
/**
 * @package Voyage
 * @subpackage Voyage
 * @since Voyage 1.0
 */
?>

<?php
/* The footer widget area is triggered if any of the areas have widgets
	 * have widgets. So let's check that first.
	 */
	$options = voyage_get_options();	 
	if (  $options['column_footer1'] == 0 && $options['column_footer2'] == 0 &&
		$options['column_footer3'] == 0 && $options['column_footer4'] == 0 )
		return;
	// If we get this far, we have widgets. Let do this.
?>

<div id="footer-widget-area" class="<?php echo voyage_container_class(); ?> visible-desktop" role="complementary">
	<?php if ( is_active_sidebar( 'first-footer-widget-area' ) && $options['column_footer1'] > 0 ) : ?>
		<div id="first" class="<?php echo voyage_grid_columns($options['column_footer1']); ?> widget-area">
			<ul class="xoxo">
				<?php dynamic_sidebar( 'first-footer-widget-area' ); ?>
			</ul>
		</div><!-- #first .widget-area -->
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'second-footer-widget-area' ) && $options['column_footer2'] > 0) : ?>
		<div id="second" class="<?php echo voyage_grid_columns($options['column_footer2']); ?> widget-area">	
			<ul class="xoxo">
				<?php dynamic_sidebar( 'second-footer-widget-area' ); ?>
			</ul>
		</div><!-- #second .widget-area -->
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'third-footer-widget-area' ) && $options['column_footer3'] ) : ?>
		<div id="third" class="<?php echo voyage_grid_columns($options['column_footer3']); ?> widget-area">
			<ul class="xoxo">
				<?php dynamic_sidebar( 'third-footer-widget-area' ); ?>
			</ul>
		</div><!-- #third .widget-area -->
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'fourth-footer-widget-area' ) && $options['column_footer4'] ) : ?>
		<div id="fourth" class="<?php echo voyage_grid_columns($options['column_footer4']); ?> widget-area">
			<ul class="xoxo">
				<?php dynamic_sidebar( 'fourth-footer-widget-area' ); ?>
			</ul>
		</div><!-- #fourth .widget-area -->
	<?php endif; ?>
</div><!-- #footer-widget-area -->
