<?php
/**
 * The Sidebar containing the First and Second widget areas.
 *
 * @package Voyage
 * @subpackage voyage1
 * @since Voyage 1.0
 */  ?>
<?php
    $options = voyage_get_options();

	if ( $options['column_sidebar1'] > 0 ) {
		$sidebar_class = "grid_" . $options['column_sidebar1'] . ' ';
		if ( $options['blog_layout'] != "1"  ) {
			$sidebar_class = $sidebar_class . "pull_" . ($options['column_content'] ) . ' ';
		} ?>	
		<div id="sidebar_one" class="<?php echo $sidebar_class ?> widget-area" role="complementary">		
		<ul class="xoxo">		
		<?php if ( is_active_sidebar( 'first-widget-area' ) ) : ?>
			<?php dynamic_sidebar( 'first-widget-area' ); ?>
		<?php else : ?>
			<li id="archives" class="widget-container widget_archive">
				<h4 class="widget-title"><?php _e( 'Archives', 'voyage' ); ?></h4>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>
			</li>
			<li id="categories" class="widget-container widget_categories">
				<h4 class="widget-title"><?php _e( 'Categories', 'voyage' ); ?></h4>
				<ul>
					<?php wp_list_categories('show_count=0&title_li='); ?>
				</ul>
			</li>
		<?php endif; ?>
		</ul>
		</div><!-- #First .widget-area -->
	<?php } ?>


	<?php if ( is_active_sidebar( 'second-widget-area' ) && ($options['column_sidebar2'] > 0) ) : 
		$sidebar_class = "grid_" . $options['column_sidebar2'] . ' ';
		if ( $options['blog_layout'] == "2"  ) {
			$sidebar_class = $sidebar_class . "pull_" . ($options['column_content'] ) . ' ';
		}	?>

		<div id="sidebar_two" class="<?php echo $sidebar_class ?> widget-area pull-right" role="complementary">
			<ul class="xoxo">
				<?php dynamic_sidebar( 'second-widget-area' ); ?>
			</ul>
		</div><!-- #Second .widget-area -->
	<?php endif; ?>	
<div class="clear"></div>	
